The officially official Devuan Forum!

You are not logged in.

#1 2024-01-07 17:36:15

phaoost
Member
Registered: 2024-01-07
Posts: 3  

Broken compatibility with recent upgrade

Hello.

I've just gotten updated kmod, lvm2 and dmsetup and as a result, initfamfs-tools triggers failed because of mass migration from /sbin to /usr/sbin in those packages.

Will devuan continue using separate /bin /sbin or should we expect global merge like in fedora?

Offline

#2 2024-01-07 18:01:06

rolfie
Member
Registered: 2017-11-25
Posts: 1,015  

Re: Broken compatibility with recent upgrade

Look at here https://dev1galaxy.org/viewtopic.php?id=6290 for some reading about the ongoing issues.

I left Daedalus on my main workstation w/o usrmerge, works fine so far. For a test I have merged Chimaera and Daedalus on my travelling laptop, so far also fine.

Where did you get these updates, testing?

Offline

#3 2024-01-07 21:01:11

phaoost
Member
Registered: 2024-01-07
Posts: 3  

Re: Broken compatibility with recent upgrade

ceres

Offline

#4 2024-01-07 21:32:21

golinux
Administrator
Registered: 2016-11-25
Posts: 3,107  

Re: Broken compatibility with recent upgrade

@phaoost . . . If you want to run  ceres aka sid . . . you get to keep all the pieces. smile

Offline

#5 2024-01-07 23:32:55

phaoost
Member
Registered: 2024-01-07
Posts: 3  

Re: Broken compatibility with recent upgrade

It's ok, I can manage that. I was wondering if devuan has plans to keep /sbin split from /usr/sbin and if I can help on this path smile

Offline

#6 2024-01-08 00:20:31

golinux
Administrator
Registered: 2016-11-25
Posts: 3,107  

Re: Broken compatibility with recent upgrade

It is almost certain that it cannot be avoided. Extensive discussion on the dng mail list.

Offline

#7 2024-01-08 01:44:50

fsmithred
Administrator
Registered: 2016-11-25
Posts: 2,397  

Re: Broken compatibility with recent upgrade

I ran into the same problem a few days ago. The upgrade to 6.6.9 kernel and adding the usrmerge package (I forget which order I did them) broke it. I could still boot the 6.5 kernel, but I couldn't get to the desktop. Some files for lvm2 and dmsetup were missing. In several stages, I reinstalled lvm2 dmsetup, xorg, xserver-xorg* (whatever was installed) and xinit, but I still couldn't use startx or lightdm. I reinstalled elogind libpam-elogind and policykit-1-gnome and that fixed it. (at least I think the last thing I did fixed it.)

Offline

Board footer